%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.7
%global pypi_name distro
%global pypi_version 1.9.0

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        1.9.0
Release:        1.0.2%{?dist}
Summary:        Distro - an OS platform information API

License:        Apache License, Version 2.0
URL:            https://github.com/python-distro/distro
Source0:        %{pypi_source}
Source1:        THIRD_PARTY_LICENSES
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Requires:       %{?scl_prefix}python%{python3_pkgversion}-setuptools

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}
# Add 3rd party licenses
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info
%exclude /usr/bin/distro


%changelog
* Wed Aug 28 2024 Alex Burmashev <alexander.burmashev@oracle.com> - - 1.9.0-1.0.2
- Do not include distro binary to avoid conflicts

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 1.9.0-1.0.1
- Update to 1.9.0
- Rebuild with python 3.11
- Add setup.py

* Mon Jul 24 2023 Lans Hung <lans.hung@oracle.com> - 1.6.0-3.0.2
- Add 3rd party licenses

* Tue Feb 7 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.6.0-3.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 1.6.0-3
- Build against python 3.9

* Fri Jan 28 2022 Evgeni Golov - 1.6.0-2
- don't include binary to avoid conflicts

* Fri Sep 10 2021 Evgeni Golov - 1.6.0-1
- Initial package.
